void printc(char val);

int main()
{
  unsigned char i, j, val, val2, val3;

  for (i = -2; (char)i < 3; i++)
    for (j = -2; (char)j < 3; j++) {
      val2 = i;
      val3 = j;
      val = val2 = val3;
      printc(val);
      printc(val2);
      printc(val3);
    }

  return 0;
}
